namespace ConfigFileManager.ViewModels.Dialog;

internal partial class ConfigFileViewModel : ObservableObject, IDialogAware
{
    public DialogCloseListener RequestClose { get; set; }
    [ObservableProperty]
    private string? _Title;
    public bool CanCloseDialog()
    {
        return true;
    }

    public void OnDialogClosed()
    {
    }

    public void OnDialogOpened(IDialogParameters parameters)
    {
        this.Title = "配置文件";
        this.Path = System.IO.Path.Combine(Directory.GetCurrentDirectory(), "Files", "Furnace", "RTConfig", "RTConfig");
    }

    [ObservableProperty]
    private string? _Path;

    [RelayCommand]
    private void Close()
    {
        this.RequestClose.Invoke();
    }
}
